


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html id="htmlId">
<head>
  <title>Coverage Report :: CreateProjectCommand</title>
  <style type="text/css">
    @import "../../.css/coverage.css";
  </style>
</head>

<body>
<div class="header"></div>

<div class="content">
<div class="breadCrumbs">
    [ <a href="../../index.html">all classes</a> ]
    [ <a href="../index.html">com.dema.timeregistration.application.command</a> ]
</div>

<h1>Coverage Summary for Class: CreateProjectCommand (com.dema.timeregistration.application.command)</h1>

<table class="coverageStats">
<tr>
  <th class="name">Class</th>
<th class="coverageStat 
">
  Class, %
</th>
<th class="coverageStat 
">
  Method, %
</th>
<th class="coverageStat 
">
  Line, %
</th>
</tr>
<tr>
  <td class="name">CreateProjectCommand</td>
<td class="coverageStat">
  <span class="percent">
    0%
  </span>
  <span class="absValue">
    (0/ 1)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    0%
  </span>
  <span class="absValue">
    (0/ 6)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    0%
  </span>
  <span class="absValue">
    (0/ 20)
  </span>
</td>
</tr>

</table>

<br/>
<br/>


<div class="sourceCode"><i>1</i>&nbsp;package com.dema.timeregistration.application.command;
<i>2</i>&nbsp;
<i>3</i>&nbsp;import com.dema.timeregistration.Utils;
<i>4</i>&nbsp;import com.dema.timeregistration.application.*;
<i>5</i>&nbsp;import com.dema.timeregistration.service.AdministratorService;
<i>6</i>&nbsp;import com.dema.timeregistration.service.ProjectService;
<i>7</i>&nbsp;import com.dema.timeregistration.service.UserService;
<i>8</i>&nbsp;import com.dema.timeregistration.service.models.CreateProjectRequest;
<i>9</i>&nbsp;
<i>10</i>&nbsp;import java.util.Set;
<i>11</i>&nbsp;
<i>12</i>&nbsp;public class CreateProjectCommand implements Command {
<i>13</i>&nbsp;    private final AdministratorService administratorService;
<i>14</i>&nbsp;    private final UserService userService;
<i>15</i>&nbsp;    private final ProjectService projectService;
<i>16</i>&nbsp;    private final ApplicationContext applicationContext;
<i>17</i>&nbsp;
<b class="nc"><i>18</i>&nbsp;    public CreateProjectCommand(AdministratorService administratorService, UserService userService, ProjectService projectService, ApplicationContext applicationContext) {</b>
<b class="nc"><i>19</i>&nbsp;        this.administratorService = administratorService;</b>
<b class="nc"><i>20</i>&nbsp;        this.userService = userService;</b>
<b class="nc"><i>21</i>&nbsp;        this.projectService = projectService;</b>
<b class="nc"><i>22</i>&nbsp;        this.applicationContext = applicationContext;</b>
<b class="nc"><i>23</i>&nbsp;    }</b>
<i>24</i>&nbsp;
<i>25</i>&nbsp;    @Override
<i>26</i>&nbsp;    public String getDocumentation() {
<b class="nc"><i>27</i>&nbsp;        return &quot;Create a new project for a company with parameters:\n-c name of the company that owns the project\n-n &quot; +</b>
<i>28</i>&nbsp;                &quot;name of the new project\n-l email of the project leader\n-d due date for the project\nExample of usage:\ncreate-project -c &quot; +
<i>29</i>&nbsp;                &quot;\&quot;My Company\&quot; -n \&quot;My Project\&quot; -l \&quot;admin@app\&quot; -d \&quot;30/12/2019 12:00\&quot;&quot;;
<i>30</i>&nbsp;    }
<i>31</i>&nbsp;
<i>32</i>&nbsp;    @Override
<i>33</i>&nbsp;    public String getKeyword() {
<b class="nc"><i>34</i>&nbsp;        return &quot;create-project&quot;;</b>
<i>35</i>&nbsp;    }
<i>36</i>&nbsp;
<i>37</i>&nbsp;    @Override
<i>38</i>&nbsp;    public Set&lt;Parameter&gt; getParameters() {
<b class="nc"><i>39</i>&nbsp;        return Utils.newHashSet(</b>
<i>40</i>&nbsp;                new Parameter(&quot;c&quot;),
<i>41</i>&nbsp;                new Parameter(&quot;n&quot;),
<i>42</i>&nbsp;                new Parameter(&quot;l&quot;),
<i>43</i>&nbsp;                new Parameter(&quot;d&quot;)
<i>44</i>&nbsp;        );
<i>45</i>&nbsp;    }
<i>46</i>&nbsp;
<i>47</i>&nbsp;    @Override
<i>48</i>&nbsp;    public CommandGroup getCommandGroup() {
<b class="nc"><i>49</i>&nbsp;        return CommandGroup.PROJECT_ADMINISTRATION;</b>
<i>50</i>&nbsp;    }
<i>51</i>&nbsp;
<i>52</i>&nbsp;    @Override
<i>53</i>&nbsp;    public void doCommand(ParsedCommand parsedCommand) throws Exception {
<b class="nc"><i>54</i>&nbsp;        CreateProjectRequest request = new CreateProjectRequest();</b>
<i>55</i>&nbsp;
<b class="nc"><i>56</i>&nbsp;        int companyId = administratorService.getCompanyId(parsedCommand.get(&quot;c&quot;));</b>
<b class="nc"><i>57</i>&nbsp;        int projectLeaderId = userService.getUserId(parsedCommand.get(&quot;l&quot;));</b>
<i>58</i>&nbsp;
<b class="nc"><i>59</i>&nbsp;        request.setName(parsedCommand.get(&quot;n&quot;));</b>
<b class="nc"><i>60</i>&nbsp;        request.setCompanyId(companyId);</b>
<b class="nc"><i>61</i>&nbsp;        request.setProjectLeaderId(projectLeaderId);</b>
<b class="nc"><i>62</i>&nbsp;        request.setDueDate(parsedCommand.get(&quot;d&quot;));</b>
<i>63</i>&nbsp;
<b class="nc"><i>64</i>&nbsp;        projectService.createProject(request, applicationContext.getUserContextOrThrow());</b>
<b class="nc"><i>65</i>&nbsp;        System.out.println(&quot;The project was created succesfully&quot;);</b>
<b class="nc"><i>66</i>&nbsp;    }</b>
<i>67</i>&nbsp;}
</div>
</div>

<div class="footer">
    
    <div style="float:right;">generated on 2019-05-13 13:51</div>
</div>
</body>
</html>
